export declare const supportedToolingTypes: Map<string, string>;
/**
 * Enum that represents the status of a Tooling Container Deploy
 */
export declare enum DeployStatusEnum {
    Completed = "Completed",
    Queued = "Queued",
    Error = "Error",
    Failed = "Failed"
}
export interface FilePathOpts {
    filepath: string;
    wait?: string;
}
export interface ManifestOpts {
    manifestPath: string;
    wait: string;
}
export interface DirectoryOpts {
    directory: string;
    wait: string;
}
export interface ToolingCreateResult {
    id: string;
    success: boolean;
    errors: string[];
    name: string;
    message: string;
}
export interface ToolingDeployResult {
    State: DeployStatusEnum;
    ErrorMsg: string | null;
    isDeleted: boolean;
    DeployDetails: DeployDetailsResult | null;
    outboundFiles?: string[];
}
export interface DeployDetailsResult {
    componentFailures: DeployResult[];
    componentSuccesses: DeployResult[];
}
export interface DeployResult {
    columnNumber: number | null;
    lineNumber: number | null;
    problem?: string;
    problemType?: string;
    fileName?: string;
    fullName?: string;
    componentType: string;
    success?: boolean;
    changed: boolean;
    created: boolean;
    deleted: boolean;
}
