import { Connection } from '@salesforce/core';
import { ToolingCreateResult, ToolingDeployResult } from './index';
import { RegistryAccess } from '../metadata-registry/index';
export declare class Deploy {
    metadataType: string;
    connection: Connection;
    private apiVersion;
    private registryAccess;
    constructor(connection: Connection, apiVersion?: string, registryAccess?: RegistryAccess);
    deploy(filePath: string): Promise<ToolingDeployResult>;
    createMetadataContainer(): Promise<ToolingCreateResult>;
    private toolingCreate;
    buildMetadataField(metadataContent: string): {
        label?: string;
        packageVersions?: string;
        status?: string;
        apiVersion: string;
    };
    createContainerMember(outboundFiles: string[], container: ToolingCreateResult): Promise<ToolingCreateResult>;
    getContentEntity(metadataType: string, fileName: string): Promise<{
        Id?: string | unknown;
    }>;
    createContainerAsyncRequest(container: ToolingCreateResult): Promise<ToolingCreateResult>;
    private sleep;
    toolingStatusCheck(asyncRequest: ToolingCreateResult): Promise<ToolingDeployResult>;
    private toolingRetrieve;
}
