"use strict";
/*
 * Copyright (c) 2020, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
function generateMetaXML(typeName, apiVersion, status) {
    let templateResult = '<?xml version="1.0" encoding="UTF-8"?>\n';
    templateResult += `<${typeName} xmlns="http://soap.sforce.com/2006/04/metadata">\n`;
    templateResult += `\t<apiVersion>${apiVersion}.0</apiVersion>\n`;
    templateResult += `\t<status>${status}</status>\n`;
    templateResult += `</${typeName}>`;
    return templateResult;
}
exports.generateMetaXML = generateMetaXML;
function generateMetaXMLPath(sourcePath) {
    return `${sourcePath}-meta.xml`;
}
exports.generateMetaXMLPath = generateMetaXMLPath;
//# sourceMappingURL=metadata.js.map